OpenVDB 11.0.0

Loading...
Searching...
No Matches
Namespaces | Functions
Invoke.h File Reference

A unified wrapper for tbb::parallel_invoke and a naive std::thread analog. More...

`#include <nanovdb/NanoVDB.h>`
`#include <thread>`
`#include <mutex>`
`#include <vector>`

Go to the source code of this file.

## Namespaces
namespace | nanovdb
| Convert a base-pointer to an openvdb grid, denoted srcGrid, to a nanovdb grid of the same type, e.g. float -> float or openvdb::Vec3f -> nanovdb::Vec3f.

## Functions
template<typename Func , typename... Rest>
int | invoke (const Func &taskFunc1, Rest... taskFuncN)

## Detailed Description

A unified wrapper for tbb::parallel_invoke and a naive std::thread analog.

Author
  Ken Museth

Date
  August 24, 2020

template<typename Func0, typename Func1, ..., typename FuncN>
int invoke(const Func0& f0, const Func1& f1, ..., const FuncN& fN);